diff -Nru libsolv-0.6.28/debian/changelog libsolv-0.6.28/debian/changelog
--- libsolv-0.6.28/debian/changelog	2017-07-06 22:11:26.000000000 +0200
+++ libsolv-0.6.28/debian/changelog	2017-07-23 21:41:12.000000000 +0200
@@ -1,3 +1,14 @@
+libsolv (0.6.28-1.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Fix "python2.7/cmake: find_package called with invalid argument
+    "2.7.13+"":
+    Add 1008_cmake-python-version.patch to sanitize PYTHONLIBS_VERSION_STRING
+    before passing it to 'FIND_PACKAGE (PythonInterp)'.
+    (Closes: #867514)
+
+ -- gregor herrmann <gregoa@debian.org>  Sun, 23 Jul 2017 21:41:12 +0200
+
 libsolv (0.6.28-1) unstable; urgency=medium
 
   * New upstream release. (Closes: #865033).
diff -Nru libsolv-0.6.28/debian/patches/1008_cmake-python-version.patch libsolv-0.6.28/debian/patches/1008_cmake-python-version.patch
--- libsolv-0.6.28/debian/patches/1008_cmake-python-version.patch	1970-01-01 01:00:00.000000000 +0100
+++ libsolv-0.6.28/debian/patches/1008_cmake-python-version.patch	2017-07-22 16:07:41.000000000 +0200
@@ -0,0 +1,23 @@
+Description: sanitize PYTHONLIBS_VERSION_STRING before passing it to 'FIND_PACKAGE (PythonInterp)'
+Origin: https://gitlab.kitware.com/cmake/cmake/merge_requests/1047#note_288680
+Bug-Debian: https://bugs.debian.org/867514
+Author: Brad King
+Reviewed-by: gregor herrmann <gregoa@debian.org>
+Last-Update: 2017-07-22
+
+--- a/bindings/python/CMakeLists.txt
++++ b/bindings/python/CMakeLists.txt
+@@ -6,7 +6,12 @@
+ ENDIF (ENABLE_PYTHON3 AND NOT DEFINED PythonLibs_FIND_VERSION)
+ 
+ FIND_PACKAGE (PythonLibs REQUIRED)
+-FIND_PACKAGE (PythonInterp ${PYTHONLIBS_VERSION_STRING} REQUIRED)
++IF(PYTHONLIBS_VERSION_STRING MATCHES "^([0-9.]+)")
++    SET(python_version "${CMAKE_MATCH_1}")
++ELSE()
++    MESSAGE(FATAL_ERROR "PythonLibs version format unknown '${PYTHONLIBS_VERSION_STRING}'")
++ENDIF()
++FIND_PACKAGE (PythonInterp ${python_version} REQUIRED)
+ 
+ EXECUTE_PROCESS(COMMAND ${PYTHON_EXECUTABLE} -c "from sys import stdout; from distutils import sysconfig; stdout.write(sysconfig.get_python_lib(True))" OUTPUT_VARIABLE PYTHON_INSTALL_DIR)
+ 
diff -Nru libsolv-0.6.28/debian/patches/series libsolv-0.6.28/debian/patches/series
--- libsolv-0.6.28/debian/patches/series	2017-01-02 16:37:50.000000000 +0100
+++ libsolv-0.6.28/debian/patches/series	2017-07-23 21:40:11.000000000 +0200
@@ -1,3 +1,4 @@
 1004_cmake-module-path-fix.patch
 1006_various-types.patch
 2001_build-for-SUSE-and-find-rpmdb.patch
+1008_cmake-python-version.patch
